---
title: "Git: автоматическое сохранение в репозиторий"
category: Программирование
tags: программирование, git
summary: ""
...

Скрипт [gitwatch](https://github.com/elnull/gitwatch) позволяет отслеживать
изменения в каталоге с помощью программы `inotifywait` и фиксировать их в
репозиторий. Для работы скрипта необходимо установить пакет `inotify-tools`.
Если нужно следить за каталогом `/home/user/dir` и записывать историю
изменений в `/home/user/repo/dir`, то нужно инициализировать репозиторий:

```sh
git init --bare /home/user/repo/dir
```

добавить шаблоны исключаемых файлов:

```sh
printf '*.[oa]\n*.swp\n*~\n/.git' >> /home/user/repo/dir/info/exclude
```

и запустить скрипт:

```sh
./gitwatch.sh -g /home/user/repo/dir /home/user/dir
```
