---
title: "Терминал rxvt-unicode"
category: Linux
tags: Linux, Xorg, rxvt, терминал
summary:
...

Скачать скрипт для динамического изменения размера шрифта

```sh
curl -fLo $HOME/.urxvt/ext/font-size --create-dirs \
  https://raw.githubusercontent.com/majutsushi/urxvt-font-size/master/font-size
```

Добавить в файл `$HOME/.Xresources`:

```
URxvt.background:              White
URxvt.foreground:              Black
URxvt.saveLines:               8192
URxvt.scrollstyle:             rxvt
URxvt.scrollBar_right:         True
URxvt.scrollWithBuffer:        False
URxvt.reverseVideo:            True
URxvt.perl-ext-common:         default,matcher,font-size
URxvt.searchable-scrollback:   M-S
URxvt.scrollTtyOutput:         False
URxvt.maximized:               True

! Подcветка URL
URxvt.url-launcher:            /usr/bin/firefox
URxvt.matcher.button:          1
URxvt.colorUL:                 #80FFFF

! Изменение размера шрифта
URxvt.keysym.C-KP_Add:         perl:font-size:increase
URxvt.keysym.C-KP_Subtract:    perl:font-size:decrease
URxvt.keysym.C-S-KP_Add:       perl:font-size:incglobal
URxvt.keysym.C-S-KP_Subtract:  perl:font-size:decglobal

! Запрет печати
URxvt.print-pipe: "cat > /dev/null"
```

