---
title: "Vim: комментирование кода"
category: Vim
tags: Vim, команды Vim
summary:
CSS: table-100.css
...

Отмена автоматического комментирования кода при вставке из буфера:

```Vim
autocmd FileType * setlocal formatoptions-=cro
```

Для управления комментированием можно использовать плагин
[NerdCommenter](https://github.com/scrooloose/nerdcommenter).
Основные команды:

Команда               | Назначение
----------------------|----------------------------
`[n]<leader\>cc`      | комментировать блок
`[n]<leader\>cn`      | комментировать с учётом вложенности
`[n]<leader\>cl`      | символ комментария помещать в начало строки
`[n]<leader\>ci`      | инвертирование комментариев
`<leader\>cA`         | добавить комментарий в конец строки
`[n]<leader\>cu`      | раскомментировать блок

